Bug 886379 - Meet error "can't convert nil into String" if using oo-app-idle without parameters added
Summary: Meet error "can't convert nil into String" if using oo-app-idle without param...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Rob Millner
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-12 07:35 UTC by joycezhang
Modified: 2015-05-14 23:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-19 19:26:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description joycezhang 2012-12-12 07:35:21 UTC
Description of problem:
If try to use oo-app-idle without any pamameters added, following error would be shown:
# oo-app-idle 
/usr/sbin/oo-app-idle:33:in `join': can't convert nil into String (TypeError)
	from /usr/sbin/oo-app-idle:33:in `<main>'


Version-Release number of selected component (if applicable):
devev_2589

How reproducible:
always

Steps to Reproduce:
1. Run "oo-app-idle" on instance
2.
3.
  
Actual results:
Error is shown as mentioned in description.

Expected results:
Help content is shown instead of the error.

Additional info:

Comment 1 Rob Millner 2012-12-12 20:27:33 UTC
Added a warning message.  The pull request will go out later after stg cut.

Ex:
# ./oo-app-idle 
Usage: ./oo-app-idle [UUID] [DAYS]

Comment 2 Rob Millner 2012-12-17 21:38:04 UTC
Pull request:
https://github.com/openshift/origin-server/pull/1079

Comment 3 joycezhang 2012-12-18 02:18:23 UTC
It's fixed and verified on devenv_2603, warning message is shown as below:

# oo-app-idle 
Usage: /usr/sbin/oo-app-idle [UUID] [DAYS]


Thanks


Note You need to log in before you can comment on or make changes to this bug.